(defpackage :aoc/2024/11/tests
            (:use :cl :aoc :aoc/tests :aoc/2024/tests :parachute :aoc/2024/11))

(in-package :aoc/2024/11/tests)

(define-test suite-2024-11
                                        ;:parent suite-2024
             )

(define-test test-parse-line
  :parent suite-2024-11
  (is equal '(125 17) (parse-line "125 17"))
  ) 

(define-test test-evolve-stone
  :parent suite-2024-11
  (is equal '(1) (evolve-stone 0))
  (is equal '(9 9) (evolve-stone 99))
  (is equal '(2024) (evolve-stone 1)))

(define-test+run test-part1
  :parent suite-2024-11
  (is equal "55312" (part1 sample-data)))
