(defpackage :aoc/2024/08/tests
  (:use :cl :aoc :aoc/tests :aoc/2024/tests :parachute :aoc/2024/08)
  (:export :run-tests))

(in-package :aoc/2024/08/tests)

(define-test suite-2024-08
					;:parent suite-2024
  )



(define-test+run test-part1
  :parent suite-2024-08
  (is equal "14" (part1 sample-data)))

(define-test+run test-part2
  :parent suite-2024-08
  (is equalp "34" (part2 sample-data))
  (is equalp "9" (part2 sample-data2)))

(define-test test-parse-line
  :parent suite-2024-08
  (is equalp '() (parse-line (first sample-text)))
  (is equalp '((8 #\0)) (parse-line (second sample-text))))


(defun run-tests ()
  (test 'suite-2024-08))
